<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.gcube.application</groupId>
	<artifactId>geoportal-client</artifactId>
	<version>1.2.1</version>
	<name>Geoportal Client</name>

	<parent>
		<groupId>org.gcube.application.cms</groupId>
		<artifactId>gcube-cms-suite</artifactId>
		<version>[1.0.0, 2.0.0-SNAPSHOT)</version>
	</parent>

	<properties>
		<gitBaseUrl>https://code-repo.d4science.org/gCubeSystem</gitBaseUrl>
	</properties>

	<scm>
		<connection>scm:git:${gitBaseUrl}/gcube-cms-suite</connection>
		<developerConnection>scm:git:${gitBaseUrl}/gcube-cms-suite</developerConnection>
		<url>${gitBaseUrl}/gcube-cms-suite</url>
	</scm>

	<dependencies>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
		</dependency>

		<dependency>
			<groupId>org.gcube.application.cms</groupId>
			<artifactId>geoportal-common</artifactId>
		</dependency>

		<dependency>
			<groupId>org.gcube.core</groupId>
			<artifactId>common-fw-clients</artifactId>
		</dependency>
	
		<dependency>
			<groupId>org.gcube.core</groupId>
			<artifactId>common-generic-clients</artifactId>
		</dependency>


		<!-- https://mvnrepository.com/artifact/javax.xml.ws/jaxws-api -->
		<dependency>
			<groupId>javax.xml.ws</groupId>
			<artifactId>jaxws-api</artifactId>
			<version>2.3.1</version>
		</dependency>

		<dependency>
			<groupId>javax.xml.bind</groupId>
			<artifactId>jaxb-api</artifactId>
		</dependency>

		<dependency>
			<groupId>org.gcube.common</groupId>
			<artifactId>common-jaxrs-client</artifactId>
			<version>[1.0.0,2.0.0-SNAPSHOT)</version>
		</dependency>



		<!-- Client for legacy -->
		<!-- jackson java time -->
		<dependency>
			<groupId>com.fasterxml.jackson.datatype</groupId>
			<artifactId>jackson-datatype-jsr310</artifactId>
		</dependency>

		<dependency>
			<groupId>org.glassfish.jersey.media</groupId>
			<artifactId>jersey-media-json-jackson</artifactId>
		</dependency>

		<!-- TEST -->
		<dependency>
			<groupId>org.gcube.application.cms</groupId>
			<artifactId>cms-test-commons</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>com.opencsv</groupId>
			<artifactId>opencsv</artifactId>
			<version>3.9</version>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>com.github.cliftonlabs</groupId>
			<artifactId>json-simple</artifactId>
			<version>3.1.0</version>
			<scope>test</scope>

		</dependency>

		<dependency>
			<groupId>org.gcube.application.cms</groupId>
			<artifactId>concessioni-model</artifactId>
		</dependency>


	</dependencies>

</project>